<?php
/*=============================================
Mostrar errores
=============================================*/
ini_set('display_errors', 1); // coloca 0 si no deseas que aparezcan los errores también en el navegador
ini_set("log_errors", 1); // con esta línea estamos diciendo que queremos crear un nuevo archivo de errores
ini_set("error_log",  "php_error_log"); // con esta línea le decimos a PHP donde queremos que se guarde ese archivo, lo recomendado es que sea al lado del archivo index.php

require_once 'controllers/template.controller.php';
require_once 'controllers/curl.controller.php';

$routesArray = explode("/", $_SERVER['REQUEST_URI']);
$routesArray = array_filter($routesArray);

$index = new TemplateController();

if ($routesArray[2] == 'test') {
    $index->test();
    
} elseif ($routesArray[2] == 'admin'){
    $index->admin();
}
else {
    
    $index->index();
}
